"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_visitor_applies_list_method = require("./method.js");
const INDEX_visitor_applies_list_model = require("./model.js");
const gen_Enums = require("../../../gen/Enums.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/libraries/apiLoading.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  _easycom_cc_scroll_loading2();
}
const _easycom_cc_scroll_loading = () => "../../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  _easycom_cc_scroll_loading();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(() => {
      var _a;
      (_a = INDEX_visitor_applies_list_method.method) == null ? void 0 : _a.getList();
    });
    common_vendor.onUnload(() => {
      INDEX_visitor_applies_list_model.useModel.listData.value = [];
      INDEX_visitor_applies_list_model.useModel.metaData.value = { page: 1 };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_visitor_applies_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c2;
          return {
            a: common_vendor.t((_a2 = common_vendor.unref(gen_Enums.GoodsReleasesStatusEnum)[i.status]) == null ? void 0 : _a2.text),
            b: common_vendor.n(`value status status_${i.status}`),
            c: common_vendor.t(((_b2 = i == null ? void 0 : i.asset_house) == null ? void 0 : _b2.full_name) || "-"),
            d: common_vendor.t((i == null ? void 0 : i.visit_start_time) || "-"),
            e: common_vendor.t((i == null ? void 0 : i.visit_end_time) || "-"),
            f: common_vendor.t(((_c2 = common_vendor.unref(gen_Enums.VisitReasonEnum)[i == null ? void 0 : i.visit_reason]) == null ? void 0 : _c2.text) || "-"),
            g: `item_${index}`
          };
        }),
        b: common_vendor.o((_c = common_vendor.unref(INDEX_visitor_applies_list_method.method)) == null ? void 0 : _c.loadMore),
        c: common_vendor.p({
          meta: (_e = (_d = common_vendor.unref(INDEX_visitor_applies_list_model.useModel)) == null ? void 0 : _d.metaData) == null ? void 0 : _e.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/visitor_applies/list/index.vue"]]);
wx.createPage(MiniProgramPage);
